Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.simtoolsgui
Interface ActionCache

public interface ActionCache
extends CompositeWindowGeometryRecordName, CompositeWindowGeometryRecordNameS, SwarmObject, SwarmObjectS

A class to manage threads and Swarms.. A class that provides a smart bag into which actions can be thrown by other threads and Swarms intended for insertion on it's Swarm's schedule.

Method Summary
`java.lang.Object` | `deliverActions()`
`java.lang.Object` | `doTkEvents()` A message that processes any input or output events of the Tk toolkit.
`java.lang.Object` | `getPanel()`
`java.lang.Object` | `insertAction(java.lang.Object actionHolder)`
`java.lang.Object` | `sendActionOfType$toExecute(Symbol type, java.lang.String cmd)`
`java.lang.Object` | `sendNextAction()`
`java.lang.Object` | `sendQuitAction()`
`java.lang.Object` | `sendStartAction()`
`java.lang.Object` | `sendStepAction()`
`java.lang.Object` | `sendStopAction()`
`java.lang.Object` | `setScheduleContext(Swarm context)`
`java.lang.Object` | `verifyActions()`
`java.lang.Object` | `waitForControlEvent()`

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### setScheduleContext

    public java.lang.Object setScheduleContext(Swarm context)

### insertAction

    public java.lang.Object insertAction(java.lang.Object actionHolder)

### deliverActions

    public java.lang.Object deliverActions()

### sendActionOfType$toExecute

    public java.lang.Object sendActionOfType$toExecute(Symbol type,
                                                       java.lang.String cmd)

### sendStartAction

    public java.lang.Object sendStartAction()

### sendStopAction

    public java.lang.Object sendStopAction()

### sendStepAction

    public java.lang.Object sendStepAction()

### sendNextAction

    public java.lang.Object sendNextAction()

### sendQuitAction

    public java.lang.Object sendQuitAction()

### verifyActions

    public java.lang.Object verifyActions()

### getPanel

    public java.lang.Object getPanel()

### doTkEvents

    public java.lang.Object doTkEvents()

  A message that processes any input or output events of the Tk toolkit. Scheduling -doTkEvents ensures Tk keeps the user interface up-to-date. Without scheduling it as part of the GUI code, the Tk events would just queue up and never get processed, resulting in a static, unresponsive user interface.

### waitForControlEvent

    public java.lang.Object waitForControlEvent()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD